Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassObservationMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassObservationMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassObservationMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Observation Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getActClassObservationMember3()`

Field Summary
`static int` | `ALRT` The 'ALRT' literal value.
`static ActClassObservationMember3` | `ALRT_LITERAL` The 'ALRT' literal object.
`static int` | `CLNTRL` The 'CLNTRL' literal value.
`static ActClassObservationMember3` | `CLNTRL_LITERAL` The 'CLNTRL' literal object.
`static int` | `CNOD` The 'CNOD' literal value.
`static ActClassObservationMember3` | `CNOD_LITERAL` The 'CNOD' literal object.
`static int` | `DGIMG` The 'DGIMG' literal value.
`static ActClassObservationMember3` | `DGIMG_LITERAL` The 'DGIMG' literal object.
`static int` | `INVSTG` The 'INVSTG' literal value.
`static ActClassObservationMember3` | `INVSTG_LITERAL` The 'INVSTG' literal object.
`static int` | `OBS` The 'OBS' literal value.
`static ActClassObservationMember3` | `OBS_LITERAL` The 'OBS' literal object.
`static int` | `SPCOBS` The 'SPCOBS' literal value.
`static ActClassObservationMember3` | `SPCOBS_LITERAL` The 'SPCOBS' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Observation Member3' enumerators.

Method Summary
`static ActClassObservationMember3` | `get(int value)` Returns the 'Act Class Observation Member3' literal with the specified integer value.
`static ActClassObservationMember3` | `get(java.lang.String literal)` Returns the 'Act Class Observation Member3' literal with the specified literal value.
`static ActClassObservationMember3` | `getByName(java.lang.String name)` Returns the 'Act Class Observation Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBS

    public static final int OBS

  The 'OBS' literal value.

  If the meaning of 'OBS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OBS_LITERAL`, Constant Field Values

### ALRT

    public static final int ALRT

  The 'ALRT' literal value.

  If the meaning of 'ALRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALRT_LITERAL`, Constant Field Values

### CLNTRL

    public static final int CLNTRL

  The 'CLNTRL' literal value.

  If the meaning of 'CLNTRL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CLNTRL_LITERAL`, Constant Field Values

### CNOD

    public static final int CNOD

  The 'CNOD' literal value.

  If the meaning of 'CNOD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CNOD_LITERAL`, Constant Field Values

### DGIMG

    public static final int DGIMG

  The 'DGIMG' literal value.

  If the meaning of 'DGIMG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DGIMG_LITERAL`, Constant Field Values

### INVSTG

    public static final int INVSTG

  The 'INVSTG' literal value.

  If the meaning of 'INVSTG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INVSTG_LITERAL`, Constant Field Values

### SPCOBS

    public static final int SPCOBS

  The 'SPCOBS' literal value.

  If the meaning of 'SPCOBS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPCOBS_LITERAL`, Constant Field Values

### OBS_LITERAL

    public static final ActClassObservationMember3 OBS_LITERAL

  The 'OBS' literal object.

  See Also:
    `OBS`

### ALRT_LITERAL

    public static final ActClassObservationMember3 ALRT_LITERAL

  The 'ALRT' literal object.

  See Also:
    `ALRT`

### CLNTRL_LITERAL

    public static final ActClassObservationMember3 CLNTRL_LITERAL

  The 'CLNTRL' literal object.

  See Also:
    `CLNTRL`

### CNOD_LITERAL

    public static final ActClassObservationMember3 CNOD_LITERAL

  The 'CNOD' literal object.

  See Also:
    `CNOD`

### DGIMG_LITERAL

    public static final ActClassObservationMember3 DGIMG_LITERAL

  The 'DGIMG' literal object.

  See Also:
    `DGIMG`

### INVSTG_LITERAL

    public static final ActClassObservationMember3 INVSTG_LITERAL

  The 'INVSTG' literal object.

  See Also:
    `INVSTG`

### SPCOBS_LITERAL

    public static final ActClassObservationMember3 SPCOBS_LITERAL

  The 'SPCOBS' literal object.

  See Also:
    `SPCOBS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Observation Member3' enumerators.

Method Detail

### get

    public static ActClassObservationMember3 get(java.lang.String literal)

  Returns the 'Act Class Observation Member3' literal with the specified literal value.

### getByName

    public static ActClassObservationMember3 getByName(java.lang.String name)

  Returns the 'Act Class Observation Member3' literal with the specified name.

### get

    public static ActClassObservationMember3 get(int value)

  Returns the 'Act Class Observation Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD